| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiGraphicsSceneAxis Class Reference
uiTools

To draw simple axes for a 2D coordinate system. More...

`#include <uigraphicssceneaxismgr.h>`

## Public Member Functions
| uiGraphicsSceneAxis (uiGraphicsScene &)
| ~uiGraphicsSceneAxis ()
void | enableAxisLine (bool yn)
void | enableGridLines (bool yn)
void | enableMask (bool yn)
void | setAnnotInInt (bool yn)
void | setAnnotInside (bool yn)
void | setFontData (const FontData &)
void | setGridLineStyle (const OD::LineStyle &gls)
void | setLineStyle (const OD::LineStyle &lst)
void | setPosition (bool isx, bool istoporleft, bool isinside)
void | setTextFactor (int n)
void | setViewRect (const uiRect &)
void | setWorldCoords (const Interval< double > &)
void | setZValue (int nv)
void | turnOn (bool)

## Protected Member Functions
void | drawAtPos (float worldpos, bool drawgrid, int &curtextitm, int &curlineitm)
int | getNrAnnotChars () const
void | reDraw ()

## Protected Attributes
bool | annotinint_ = false
bool | drawaxisline_ = true
bool | drawgridlines_ = true
FontData | fontdata_
OD::LineStyle | gridls_
bool | inside_
bool | istop_
bool | isx_
uiGraphicsItemGroup * | itmgrp_ = nullptr
ObjectSet< uiLineItem > | lines_
OD::LineStyle | ls_
uiRectItem * | mask_ = nullptr
Interval< double > | rg_
SamplingData< double > | sampling_
uiGraphicsScene & | scene_
ObjectSet< uiTextItem > | texts_
int | txtfactor_ = 1
uiRect | viewrect_

## Detailed Description

To draw simple axes for a 2D coordinate system.

This class is designed for normal axis drawing and is not applicable to axes which are oblique to the X/Y axis of window. The area for drawing axis can be on the same canvas with the main graph area or on different canvas. Refer to uiCrossplot or uiDistributionMap for an example.

Axis values are marked at every step. Grid lines can also be drawn at each step. Before calling the drawing routines, make sure the proper line pattern and pen color are set for the 'ioDrawTool' and there is enough room in the window to draw the axis and number annotation.

USAGE: 1) Call setupAxis() to set up the position for drawing axis and a pointer to uiWorld2Ui which provides the coordinate conversion functions. The axis range and step is calculated automatically from the class uiWorld2Ui. 2) If the default range and step are not to be used for axis annotation, call setFixedDataRangeandStep() to override after calling setupAxis(). 3) Call the actual draw functions

<>

## Constructor & Destructor Documentation

## ◆ ~uiGraphicsSceneAxis()

uiGraphicsSceneAxis::~uiGraphicsSceneAxis | ( |  | ) |

## ◆ uiGraphicsSceneAxis()

uiGraphicsSceneAxis::uiGraphicsSceneAxis | ( | uiGraphicsScene & |  | ) |

## Member Function Documentation

## ◆ drawAtPos()

void uiGraphicsSceneAxis::drawAtPos | ( | float | worldpos,
|  | bool | drawgrid,
|  | int & | curtextitm,
|  | int & | curlineitm )
| protected

## ◆ enableAxisLine()

void uiGraphicsSceneAxis::enableAxisLine | ( | bool | yn | ) |
| inline

## ◆ enableGridLines()

void uiGraphicsSceneAxis::enableGridLines | ( | bool | yn | ) |
| inline

## ◆ enableMask()

void uiGraphicsSceneAxis::enableMask | ( | bool | yn | ) |

## ◆ getNrAnnotChars()

int uiGraphicsSceneAxis::getNrAnnotChars | ( |  | ) | const
| protected

## ◆ reDraw()

void uiGraphicsSceneAxis::reDraw | ( |  | ) |
| protected

## ◆ setAnnotInInt()

void uiGraphicsSceneAxis::setAnnotInInt | ( | bool | yn | ) |
| inline

## ◆ setAnnotInside()

void uiGraphicsSceneAxis::setAnnotInside | ( | bool | yn | ) |
| inline

## ◆ setFontData()

void uiGraphicsSceneAxis::setFontData | ( | const FontData & |  | ) |

## ◆ setGridLineStyle()

void uiGraphicsSceneAxis::setGridLineStyle | ( | const OD::LineStyle & | gls | ) |
| inline

## ◆ setLineStyle()

void uiGraphicsSceneAxis::setLineStyle | ( | const OD::LineStyle & | lst | ) |
| inline

## ◆ setPosition()

void uiGraphicsSceneAxis::setPosition | ( | bool | isx,
|  | bool | istoporleft,
|  | bool | isinside )

## ◆ setTextFactor()

void uiGraphicsSceneAxis::setTextFactor | ( | int | n | ) |
| inline

## ◆ setViewRect()

void uiGraphicsSceneAxis::setViewRect | ( | const uiRect & |  | ) |

## ◆ setWorldCoords()

void uiGraphicsSceneAxis::setWorldCoords | ( | const Interval< double > & |  | ) |

## ◆ setZValue()

void uiGraphicsSceneAxis::setZValue | ( | int | nv | ) |

## ◆ turnOn()

void uiGraphicsSceneAxis::turnOn | ( | bool |  | ) |

## Member Data Documentation

## ◆ annotinint_

bool uiGraphicsSceneAxis::annotinint_ = false
| protected

## ◆ drawaxisline_

bool uiGraphicsSceneAxis::drawaxisline_ = true
| protected

## ◆ drawgridlines_

bool uiGraphicsSceneAxis::drawgridlines_ = true
| protected

## ◆ fontdata_

FontData uiGraphicsSceneAxis::fontdata_
| protected

## ◆ gridls_

OD::LineStyle uiGraphicsSceneAxis::gridls_
| protected

## ◆ inside_

bool uiGraphicsSceneAxis::inside_
| protected

## ◆ istop_

bool uiGraphicsSceneAxis::istop_
| protected

## ◆ isx_

bool uiGraphicsSceneAxis::isx_
| protected

## ◆ itmgrp_

uiGraphicsItemGroup* uiGraphicsSceneAxis::itmgrp_ = nullptr
| protected

## ◆ lines_

ObjectSet<uiLineItem> uiGraphicsSceneAxis::lines_
| protected

## ◆ ls_

OD::LineStyle uiGraphicsSceneAxis::ls_
| protected

## ◆ mask_

uiRectItem* uiGraphicsSceneAxis::mask_ = nullptr
| protected

## ◆ rg_

Interval<double> uiGraphicsSceneAxis::rg_
| protected

## ◆ sampling_

SamplingData<double> uiGraphicsSceneAxis::sampling_
| protected

## ◆ scene_

uiGraphicsScene& uiGraphicsSceneAxis::scene_
| protected

## ◆ texts_

ObjectSet<uiTextItem> uiGraphicsSceneAxis::texts_
| protected

## ◆ txtfactor_

int uiGraphicsSceneAxis::txtfactor_ = 1
| protected

## ◆ viewrect_

uiRect uiGraphicsSceneAxis::viewrect_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025